Bug 750601 - pam_namespace cannot verify status of SELinux in MLS
Summary: pam_namespace cannot verify status of SELinux in MLS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pam
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On:
Blocks: 782183 836160
TreeView+ depends on / blocked
 
Reported: 2011-11-01 18:00 UTC by Josh
Modified: 2018-11-27 20:43 UTC (History)
5 users (show)

Fixed In Version: pam-1.1.1-12.el6
Doc Type: Bug Fix
Doc Text:
Cause: The 'require_selinux' option handling in the pam_namespace module was broken. Consequence: It was not possible to prevent log-in when SELinux was switched off with using pam_namespace require_selinux option. Fix: The 'require_selinux' option handling in the pam_namespace module was fixed. Result: It is now possible to query to prevent log-in when SELinux is switched off with using pam_namespace require_selinux option.
Clone Of:
Environment:
Last Closed: 2013-02-21 10:36:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0521 normal SHIPPED_LIVE Moderate: pam security, bug fix, and enhancement update 2013-02-20 21:28:50 UTC

Description Josh 2011-11-01 18:00:17 UTC
Description of problem:
adding session    required     pam_namespace.so require_selinux prevents login from happening when using the MLS selinux policy

Version-Release number of selected component (if applicable):
pam-1.1.1-8.el6.x86_64
selinux-policy-mls-3.7.19-120.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. add session    required     pam_namespace.so require_selinux to /etc/pam.d/sshd
2. try to log in to the system over ssh
  
Actual results:
Nov  1 13:53:31 rhel6-wsweb sshd[22113]: pam_namespace(sshd:session): selinux_required option given and selinux is disabled


Expected results:
login successful

Additional info:

Comment 2 Daniel Walsh 2011-11-01 19:12:01 UTC
josh do you see any avc messages related to sshd_t?

And you do have allow_polyinstantiation boolean turned on?

setsebool -P allow_polyinstantiation 1

Comment 3 Josh 2011-11-01 19:22:01 UTC
polyinstantiation is enabled and there are no AVC messages related to sshd_t or anything

Comment 4 Josh 2011-11-01 19:24:39 UTC
(In reply to comment #3)
> polyinstantiation is enabled and there are no AVC messages related to sshd_t or
> anything

running with semodule -DB does not provide any other denials other than noatsecure siginh rlimitinh

Comment 5 Tomas Mraz 2011-11-01 19:39:34 UTC
Josh, are you really running the genuine RHEL-6 rpms?
Also, do you see the same problem when running with targeted policy?

Comment 6 Josh 2011-11-01 19:48:01 UTC
(In reply to comment #5)
> Josh, are you really running the genuine RHEL-6 rpms?
> Also, do you see the same problem when running with targeted policy?

Yep, genuine RHEL-6 rpms from 6.1

Just tried it with targeted and I AM seeing the same problem

PS: the option is require_selinux but the logged error message is selinux_required

Comment 7 Tomas Mraz 2011-11-01 19:58:35 UTC
Ah, I forgot about this bug. This is actually a real pam_namespace bug that is fixed already in the current upstream releases (and Fedora).

Comment 8 Josh 2011-11-01 21:01:37 UTC
(In reply to comment #7)
> Ah, I forgot about this bug. This is actually a real pam_namespace bug that is
> fixed already in the current upstream releases (and Fedora).

Any way it can find its way in to RHEL6.2?

Comment 9 Tomas Mraz 2011-11-02 07:20:02 UTC
I cannot give you any definitive information in regards to RHEL6.2 but I can say it is highly improbable that it would be fixed there.

Comment 11 Suzanne Yeghiayan 2012-02-14 23:19:22 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 14 Karel Srot 2012-07-31 13:32:52 UTC
Is this limited to MLS? I am unable to connect even in targeted policy.

Comment 15 Tomas Mraz 2012-08-06 09:41:19 UTC
No, this is not limited to MLS. It is sufficient to test it with targeted policy.

Comment 19 errata-xmlrpc 2013-02-21 10:36:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0521.html


Note You need to log in before you can comment on or make changes to this bug.